Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service
Class Service

    java.lang.Object
      java.lang.Thread
          things.thinger.kernel.ThingsProcess
              things.thinger.service.Service

All Implemented Interfaces:
  java.lang.Runnable, Verbose, ControlInterface, ProcessInterface, ResourceListener

Direct Known Subclasses:
  ActorService, CLIBackbone, HttpToolService, LocalCommandService, ProxyService, ThingService

    public abstract class Service

extends ThingsProcess

Root service. Adds on() and off() as methods.

Like a process, you will need to start() it.

Version:
  1.0

  Version History

      EPG - Initial - 22 NOV 04

Author:
  Erich P. Gatejen

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected Logger` | `myLogger` The default logger provided by the system.

Fields inherited from class things.thinger.kernel.ThingsProcess
`DEFAULT_NAME, internalResult, myPostLogger, ssi`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Service()`

Method Summary
`abstract void` | `serviceOff()` Called to turn the service off.
`abstract void` | `serviceOn()` Called to turn the service on.
`void` | `setLogger(Logger theLogger)` Set the logger for this service.

Methods inherited from class things.thinger.kernel.ThingsProcess
`acceptHalt, acceptPause, constructThingsProcess, destructThingsProcess, executeThingsProcess, finalize, fix, forceFinalize, forceHalt, getCurrentState, getCurrentStateNumeric, getProcessId, getProcessName, getResult, getStartTime, getThingsState, init, isVerbose, release, releasePause, requestHalt, requestPause, run, screech, verboseOff, verboseOn`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface things.thinger.kernel.ResourceListener
`getListenerId, resourceRevocation, resourceRevoked`

Field Detail

### myLogger

    protected Logger myLogger

  The default logger provided by the system.

Constructor Detail

### Service

    public Service()

Method Detail

### serviceOn

    public abstract void serviceOn()
                            throws SystemException

  Called to turn the service on. This may be called by another thread.

  Throws:
    `SystemException`

### serviceOff

    public abstract void serviceOff()
                             throws SystemException

  Called to turn the service off. This may be called by another thread.

  Throws:
    `SystemException`

### setLogger

    public void setLogger(Logger theLogger)
                   throws SystemException

  Set the logger for this service. This can only be called once or it will throw an exception. This WILL be called by the Kernel, so don't call it yourself. If the logger is in debug mode, it will push it down to the process itself for internal logging.

  Parameters:
    `theLogger` - The logger to set.
  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.